iscsitarget-dkms broken since kernel 3.10.0

Bug #1195607 reported by Avery-yates on 2013-06-28
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
iscsitarget (Ubuntu)
High
James Page
Saucy
High
James Page

Bug Description

!! URGENT !!

When trying to instal or reinstall the dkms on the current saucy kernel :

Error! Bad return status for module build on kernel: 3.10.0-0-generic (x86_64)
Consult /var/lib/dkms/iscsitarget/1.4.20.2/build/make.log for more information.

content of make.log

DKMS make.log for iscsitarget-1.4.20.2 for kernel 3.10.0-0-generic (x86_64)
Fri Jun 28 09:13:02 CEST 2013
make: Entering directory `/usr/src/linux-headers-3.10.0-0-generic'
  LD /var/lib/dkms/iscsitarget/1.4.20.2/build/built-in.o
  LD /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/built-in.o
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/tio.o
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/iscsi.o
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/nthread.o
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/nthread.c: In function ‘do_recv’:
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/nthread.c:145:1: warning: the frame size of 1096 bytes is larger than 1024 bytes [-Wframe-larger-than=]
 }
 ^
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.o
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c: In function ‘worker_thread’:
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:73:28: error: void value not ignored as it ought to be
  if (!(current->io_context = ioc_task_link(info->wthread_ioc)))
                            ^
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:74:3: error: implicit declaration of function ‘get_io_context’ [-Werror=implicit-function-declaration]
   info->wthread_ioc = get_io_context(GFP_KERNEL, -1);
   ^
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:74:21: warning: assignment makes pointer from integer without a cast [enabled by default]
   info->wthread_ioc = get_io_context(GFP_KERNEL, -1);
                     ^
cc1: some warnings being treated as errors
make[2]: *** [/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.o] Error 1
make[1]: *** [/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel] Error 2
make: *** [_module_/var/lib/dkms/iscsitarget/1.4.20.2/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.10.0-0-generic'

Avery-yates (avery-yates) wrote :

Someone please duplicate this already so it can be tagged bagged and fixed asap.
This isn't one that can be left out there for too long.

Avery-yates (avery-yates) wrote :

updated to 3.10.0-1
iscsitarget-dkms is still broken.

Steven Peeters (precies) wrote :

Duplicated issue.

iscsitarget-dkms broken since kernel 3.10. Just when alpha got released.

Changed in iscsitarget (Ubuntu):
status: New → Confirmed
Steven Peeters (precies) wrote :

Setting up iscsitarget-dkms (1.4.20.2-10ubuntu3) ...

Creating symlink /var/lib/dkms/iscsitarget/1.4.20.2/source ->
                 /usr/src/iscsitarget-1.4.20.2

DKMS: add completed.

Kernel preparation unnecessary for this kernel. Skipping...
applying patch compat-3.6.patch...patching file kernel/event.c

applying patch compat-3.5.patch...patching file kernel/event.c

applying patch compat-3.2-3.4.patch...patching file kernel/wthread.c

applying patch compat-2.6.39-3.2.patch...patching file kernel/wthread.c

Building module:
cleaning build area....
make KERNELRELEASE=3.10.0-1-generic -C /lib/modules/3.10.0-1-generic/build M=/var/lib/dkms/iscsitarget/1.4.20.2/build.....(bad exit status: 2)
Error! Bad return status for module build on kernel: 3.10.0-1-generic (x86_64)
Consult /var/lib/dkms/iscsitarget/1.4.20.2/build/make.log for more information.

Avery-yates (avery-yates) wrote :

On 2013-02 Mr James Paige patched this so it would work for newer kernels. It did worked up to 3.9. (https://launchpad.net/ubuntu/+source/iscsitarget/1.4.20.2-5ubuntu3.2)

Added him to the notification list for this issue.

James Page (james-page) on 2013-07-01
Changed in iscsitarget (Ubuntu Saucy):
importance: Undecided → High
status: Confirmed → Triaged
assignee: nobody → James Page (james-page)
James Page (james-page) on 2013-07-02
Changed in iscsitarget (Ubuntu Saucy):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package iscsitarget - 1.4.20.2-10ubuntu4

---------------
iscsitarget (1.4.20.2-10ubuntu4) saucy; urgency=low

  * d/p/fix-3.10-kernel-match.patch: Fixup patch pattern matching for
    >= 3.10 kernels.
  * d/p/kernel-3.10-support.patch: Add support for Linux 3.10
    (LP: #1195607).
 -- James Page <email address hidden> Wed, 03 Jul 2013 09:27:28 +0100

Changed in iscsitarget (Ubuntu Saucy):
status: In Progress → Fix Released
David (david-avery) wrote :

I'm seeing the problem today on a new install I'm setting up of 3.11.0-19-generic:

...
make KERNELRELEASE=3.11.0-19-generic -C /lib/modules/3.11.0-19-generic/build M=/var/lib/dkms/iscsitarget/1.4.20.2/build....(bad exit status: 2)
Error! Bad return status for module build on kernel: 3.11.0-19-generic (x86_64)
Consult /var/lib/dkms/iscsitarget/1.4.20.2/build/make.log for more information.
san@iSCSI-SAN:/$ more /var/lib/dkms/iscsitarget/1.4.20.2/build/make.log
DKMS make.log for iscsitarget-1.4.20.2 for kernel 3.11.0-19-generic (x86_64)
Sat Apr 12 17:46:40 PDT 2014
make: Entering directory `/usr/src/linux-headers-3.11.0-19-generic'
  LD /var/lib/dkms/iscsitarget/1.4.20.2/build/built-in.o
  LD /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/built-in.o
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/tio.o
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/iscsi.o
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/nthread.o
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/nthread.c: In function âdo_recvâ:
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/nthread.c:145:1: warning: the frame size of 1104 bytes is larger than 1024 bytes [-Wframe-larger-than=]
  CC [M] /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.o
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c: In function âworker_threadâ:
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:73:28: error: void value not ignored as it ought to be
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:74:3: error: implicit declaration of function âget_io_contextâ [-Werror=implicit-function-declaration]
/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:74:21: warning: assignment makes pointer from integer without a cast [enabled by default]
cc1: some warnings being treated as errors
make[2]: *** [/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.o] Error 1
make[1]: *** [/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel] Error 2
make: *** [_module_/var/lib/dkms/iscsitarget/1.4.20.2/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.11.0-19-generic'
san@iSCSI-SAN:/$

David (david-avery) wrote :

I got it working with the following:

wget http://ftp.ubuntu.com/ubuntu/pool/universe/i/iscsitarget/iscsitarget-dkms_1.4.20.3+svn499-0ubuntu2_all.deb

sudo dpkg -i iscsitarget-dkms_1.4.20.3+svn499-0ubuntu2_all.deb

David (david-avery) wrote :

I might need to take that back, while the package installed via dpkg and my services start I can't see any of my targets.

David (david-avery) wrote :

Went back one version on both iscsitarget and iscsitarget-dkms and works now I can see my target

wget http://ftp.ubuntu.com/ubuntu/pool/universe/i/iscsitarget/iscsitarget_1.4.20.3+svn490-2ubuntu1_amd64.deb

wget http://ftp.ubuntu.com/ubuntu/pool/universe/i/iscsitarget/iscsitarget-dkms_1.4.20.3+svn490-2ubuntu1_all.deb

sudo dpkg -i iscsitarget_1.4.20.3+svn490-2ubuntu1_amd64.deb

sudo dpkg -i iscsitarget-dkms_1.4.20.3+svn490-2ubuntu1_all.deb

Steve Page (stedor7) wrote :

my Kernel Version is 3.13.0-34-generic #60~precise1-Ubuntu SMP Wed Aug 13 15:57:32 UTC 2014 i686 i686 i386 GNU/Linux

after upgrading to the latest hardware enablement stack, it seems that iscsitarget reports that the module is not found.

after trying to reinstall iscsitarget-dkms, the build fails. the information reported by make.log can be found on this askubuntu.org question: http://askubuntu.com/questions/511990/iscsitarget-suddenly-broken-after-upgrade-of-the-12-04-hardware-stack

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers